# quick_rng Class Reference

`#include <quick_rng.h>`

List of all members.

## Public Member Functions

| quick_rng (uint32_t seed=0)
void | set_seed (uint32_t x)
uint32_t | i32 ()
uint32_t | i16 ()
float | f ()
uint32_t | operator() (const uint32_t &m)

## Constructor & Destructor Documentation

quick_rng::quick_rng | ( | uint32_t | seed = `0` | ) | `[inline]`

## Member Function Documentation

void quick_rng::set_seed | ( | uint32_t | x | ) | `[inline]`

uint32_t quick_rng::i32 | ( |  | ) | `[inline]`

Referenced by i16(), and operator()().

uint32_t quick_rng::i16 | ( |  | ) | `[inline]`

References i32().

Referenced by f(), and operator()().

float quick_rng::f | ( |  | ) | `[inline]`

References i16().

Referenced by RandomNoise::operator()().

uint32_t quick_rng::operator() | ( | const uint32_t & | m | ) | `[inline]`

References i16(), and i32().

The documentation for this class was generated from the following file:

- quick_rng.h